aboutsummaryrefslogtreecommitdiff
path: root/misc
diff options
context:
space:
mode:
Diffstat (limited to 'misc')
-rwxr-xr-xmisc/do_m4.bash8
1 files changed, 6 insertions, 2 deletions
diff --git a/misc/do_m4.bash b/misc/do_m4.bash
index a924d9330..1b8c1ab1c 100755
--- a/misc/do_m4.bash
+++ b/misc/do_m4.bash
@@ -16,8 +16,12 @@ get_m4() {
kill $KILL_PID
}
-echo ">>> $(get_m4) -I. -I.. -I../.. -E ${1} > ${2}"
-if ! $(get_m4) -I. -I.. -I../.. -E ${1} > ${2} ; then
+get_abs_top_srcdir() {
+ echo "$(dirname $(dirname "${0}"))"
+}
+
+echo ">>> $(get_m4) -I $(get_abs_top_srcdir) -E ${1} > ${2}"
+if ! $(get_m4) -I $(get_abs_top_srcdir) -E ${1} > ${2} ; then
echo "oops!" 1>&2
exit 127
fi